DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTExposureSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTExposureSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getBeamLimitingDeviceAngle (OFString &value, const signed long pos=0) const
| get BeamLimitingDeviceAngle (300a,0120) More...
OFCondition | getBeamLimitingDeviceAngle (Float64 &value, const unsigned long pos=0) const
| get BeamLimitingDeviceAngle (300a,0120) More...
OFCondition | getDiaphragmPosition (OFString &value, const signed long pos=0) const
| get DiaphragmPosition (3002,0034) More...
OFCondition | getDiaphragmPosition (Float64 &value, const unsigned long pos=0) const
| get DiaphragmPosition (3002,0034) More...
OFCondition | getDiaphragmPosition (OFVector< Float64 > &value) const
| get DiaphragmPosition (3002,0034) More...
OFCondition | getExposureTime (OFString &value, const signed long pos=0) const
| get ExposureTime (0018,1150) More...
OFCondition | getExposureTime (Sint32 &value, const unsigned long pos=0) const
| get ExposureTime (0018,1150) More...
OFCondition | getExposureTimeInms (Float64 &value, const unsigned long pos=0) const
| get ExposureTimeInms (0018,9328) More...
OFCondition | getGantryAngle (OFString &value, const signed long pos=0) const
| get GantryAngle (300a,011e) More...
OFCondition | getGantryAngle (Float64 &value, const unsigned long pos=0) const
| get GantryAngle (300a,011e) More...
OFCondition | getGantryPitchAngle (Float32 &value, const unsigned long pos=0) const
| get GantryPitchAngle (300a,014a) More...
OFCondition | getKVP (OFString &value, const signed long pos=0) const
| get KVP (0018,0060) More...
OFCondition | getKVP (Float64 &value, const unsigned long pos=0) const
| get KVP (0018,0060) More...
OFCondition | getMetersetExposure (OFString &value, const signed long pos=0) const
| get MetersetExposure (3002,0032) More...
OFCondition | getMetersetExposure (Float64 &value, const unsigned long pos=0) const
| get MetersetExposure (3002,0032) More...
OFCondition | getNumberOfBlocks (OFString &value, const signed long pos=0) const
| get NumberOfBlocks (300a,00f0) More...
OFCondition | getNumberOfBlocks (Sint32 &value, const unsigned long pos=0) const
| get NumberOfBlocks (300a,00f0) More...
OFCondition | getPatientSupportAngle (OFString &value, const signed long pos=0) const
| get PatientSupportAngle (300a,0122) More...
OFCondition | getPatientSupportAngle (Float64 &value, const unsigned long pos=0) const
| get PatientSupportAngle (300a,0122) More...
OFCondition | getReferencedFrameNumber (OFString &value, const signed long pos=0) const
| get ReferencedFrameNumber (0008,1160) More...
OFCondition | getReferencedFrameNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedFrameNumber (0008,1160) More...
OFCondition | getTableTopLateralPosition (OFString &value, const signed long pos=0) const
| get TableTopLateralPosition (300a,012a) More...
OFCondition | getTableTopLateralPosition (Float64 &value, const unsigned long pos=0) const
| get TableTopLateralPosition (300a,012a) More...
OFCondition | getTableTopLongitudinalPosition (OFString &value, const signed long pos=0) const
| get TableTopLongitudinalPosition (300a,0129) More...
OFCondition | getTableTopLongitudinalPosition (Float64 &value, const unsigned long pos=0) const
| get TableTopLongitudinalPosition (300a,0129) More...
OFCondition | getTableTopPitchAngle (Float32 &value, const unsigned long pos=0) const
| get TableTopPitchAngle (300a,0140) More...
OFCondition | getTableTopRollAngle (Float32 &value, const unsigned long pos=0) const
| get TableTopRollAngle (300a,0144) More...
OFCondition | getTableTopVerticalPosition (OFString &value, const signed long pos=0) const
| get TableTopVerticalPosition (300a,0128) More...
OFCondition | getTableTopVerticalPosition (Float64 &value, const unsigned long pos=0) const
| get TableTopVerticalPosition (300a,0128) More...
OFCondition | getXRayTubeCurrent (OFString &value, const signed long pos=0) const
| get XRayTubeCurrent (0018,1151) More...
OFCondition | getXRayTubeCurrent (Sint32 &value, const unsigned long pos=0) const
| get XRayTubeCurrent (0018,1151) More...
OFCondition | getXRayTubeCurrentInmA (Float64 &value, const unsigned long pos=0) const
| get XRayTubeCurrentInmA (0018,9330) More...
DRTApplicatorSequenceInRTImageModule & | getApplicatorSequence ()
| get ApplicatorSequence (300a,0107) More...
const DRTApplicatorSequenceInRTImageModule & | getApplicatorSequence () const
| get ApplicatorSequence (300a,0107) More...
DRTBeamLimitingDeviceSequenceInRTImageModule & | getBeamLimitingDeviceSequence ()
| get BeamLimitingDeviceSequence (300a,00b6) More...
const DRTBeamLimitingDeviceSequenceInRTImageModule & | getBeamLimitingDeviceSequence () const
| get BeamLimitingDeviceSequence (300a,00b6) More...
DRTBlockSequenceInRTImageModule & | getBlockSequence ()
| get BlockSequence (300a,00f4) More...
const DRTBlockSequenceInRTImageModule & | getBlockSequence () const
| get BlockSequence (300a,00f4) More...
DRTEnhancedRTBeamLimitingOpeningSequence & | getEnhancedRTBeamLimitingOpeningSequence ()
| get EnhancedRTBeamLimitingOpeningSequence (3008,00a2) More...
const DRTEnhancedRTBeamLimitingOpeningSequence & | getEnhancedRTBeamLimitingOpeningSequence () const
| get EnhancedRTBeamLimitingOpeningSequence (3008,00a2) More...
DRTGeneralAccessorySequenceInRTImageModule & | getGeneralAccessorySequence ()
| get GeneralAccessorySequence (300a,0420) More...
const DRTGeneralAccessorySequenceInRTImageModule & | getGeneralAccessorySequence () const
| get GeneralAccessorySequence (300a,0420) More...
DRTPrimaryFluenceModeSequence & | getPrimaryFluenceModeSequence ()
| get PrimaryFluenceModeSequence (3002,0050) More...
const DRTPrimaryFluenceModeSequence & | getPrimaryFluenceModeSequence () const
| get PrimaryFluenceModeSequence (3002,0050) More...
OFCondition | setBeamLimitingDeviceAngle (const OFString &value, const OFBool check=OFTrue)
| set BeamLimitingDeviceAngle (300a,0120) More...
OFCondition | setDiaphragmPosition (const OFString &value, const OFBool check=OFTrue)
| set DiaphragmPosition (3002,0034) More...
OFCondition | setExposureTime (const OFString &value, const OFBool check=OFTrue)
| set ExposureTime (0018,1150) More...
OFCondition | setExposureTimeInms (const Float64 value, const unsigned long pos=0)
| set ExposureTimeInms (0018,9328) More...
OFCondition | setGantryAngle (const OFString &value, const OFBool check=OFTrue)
| set GantryAngle (300a,011e) More...
OFCondition | setGantryPitchAngle (const Float32 value, const unsigned long pos=0)
| set GantryPitchAngle (300a,014a) More...
OFCondition | setKVP (const OFString &value, const OFBool check=OFTrue)
| set KVP (0018,0060) More...
OFCondition | setMetersetExposure (const OFString &value, const OFBool check=OFTrue)
| set MetersetExposure (3002,0032) More...
OFCondition | setNumberOfBlocks (const OFString &value, const OFBool check=OFTrue)
| set NumberOfBlocks (300a,00f0) More...
OFCondition | setPatientSupportAngle (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportAngle (300a,0122) More...
OFCondition | setReferencedFrameNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedFrameNumber (0008,1160) More...
OFCondition | setTableTopLateralPosition (const OFString &value, const OFBool check=OFTrue)
| set TableTopLateralPosition (300a,012a) More...
OFCondition | setTableTopLongitudinalPosition (const OFString &value, const OFBool check=OFTrue)
| set TableTopLongitudinalPosition (300a,0129) More...
OFCondition | setTableTopPitchAngle (const Float32 value, const unsigned long pos=0)
| set TableTopPitchAngle (300a,0140) More...
OFCondition | setTableTopRollAngle (const Float32 value, const unsigned long pos=0)
| set TableTopRollAngle (300a,0144) More...
OFCondition | setTableTopVerticalPosition (const OFString &value, const OFBool check=OFTrue)
| set TableTopVerticalPosition (300a,0128) More...
OFCondition | setXRayTubeCurrent (const OFString &value, const OFBool check=OFTrue)
| set XRayTubeCurrent (0018,1151) More...
OFCondition | setXRayTubeCurrentInmA (const Float64 value, const unsigned long pos=0)
| set XRayTubeCurrentInmA (0018,9330) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DRTApplicatorSequenceInRTImageModule | ApplicatorSequence
| ApplicatorSequence (300a,0107) vr=SQ, vm=1, type=3.
DcmDecimalString | BeamLimitingDeviceAngle
| BeamLimitingDeviceAngle (300a,0120) vr=DS, vm=1, type=3.
DRTBeamLimitingDeviceSequenceInRTImageModule | BeamLimitingDeviceSequence
| BeamLimitingDeviceSequence (300a,00b6) vr=SQ, vm=1, type=3.
DRTBlockSequenceInRTImageModule | BlockSequence
| BlockSequence (300a,00f4) vr=SQ, vm=1, type=2C.
DcmDecimalString | DiaphragmPosition
| DiaphragmPosition (3002,0034) vr=DS, vm=4, type=3.
DRTEnhancedRTBeamLimitingOpeningSequence | EnhancedRTBeamLimitingOpeningSequence
| EnhancedRTBeamLimitingOpeningSequence (3008,00a2) vr=SQ, vm=1, type=2C.
DcmIntegerString | ExposureTime
| ExposureTime (0018,1150) vr=IS, vm=1, type=2C.
DcmFloatingPointDouble | ExposureTimeInms
| ExposureTimeInms (0018,9328) vr=FD, vm=1, type=3.
DcmDecimalString | GantryAngle
| GantryAngle (300a,011e) vr=DS, vm=1, type=3.
DcmFloatingPointSingle | GantryPitchAngle
| GantryPitchAngle (300a,014a) vr=FL, vm=1, type=3.
DRTGeneralAccessorySequenceInRTImageModule | GeneralAccessorySequence
| GeneralAccessorySequence (300a,0420) vr=SQ, vm=1, type=3.
DcmDecimalString | KVP
| KVP (0018,0060) vr=DS, vm=1, type=2C.
DcmDecimalString | MetersetExposure
| MetersetExposure (3002,0032) vr=DS, vm=1, type=2C.
DcmIntegerString | NumberOfBlocks
| NumberOfBlocks (300a,00f0) vr=IS, vm=1, type=1.
DcmDecimalString | PatientSupportAngle
| PatientSupportAngle (300a,0122) vr=DS, vm=1, type=3.
DRTPrimaryFluenceModeSequence | PrimaryFluenceModeSequence
| PrimaryFluenceModeSequence (3002,0050) vr=SQ, vm=1, type=3.
DcmIntegerString | ReferencedFrameNumber
| ReferencedFrameNumber (0008,1160) vr=IS, vm=1-n, type=1C.
DcmDecimalString | TableTopLateralPosition
| TableTopLateralPosition (300a,012a) vr=DS, vm=1, type=3.
DcmDecimalString | TableTopLongitudinalPosition
| TableTopLongitudinalPosition (300a,0129) vr=DS, vm=1, type=3.
DcmFloatingPointSingle | TableTopPitchAngle
| TableTopPitchAngle (300a,0140) vr=FL, vm=1, type=3.
DcmFloatingPointSingle | TableTopRollAngle
| TableTopRollAngle (300a,0144) vr=FL, vm=1, type=3.
DcmDecimalString | TableTopVerticalPosition
| TableTopVerticalPosition (300a,0128) vr=DS, vm=1, type=3.
DcmIntegerString | XRayTubeCurrent
| XRayTubeCurrent (0018,1151) vr=IS, vm=1, type=2C.
DcmFloatingPointDouble | XRayTubeCurrentInmA
| XRayTubeCurrentInmA (0018,9330) vr=FD, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTExposureSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTExposureSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getApplicatorSequence() [1/2]

DRTApplicatorSequenceInRTImageModule& DRTExposureSequence::Item::getApplicatorSequence | ( |  | ) |
| inline

get ApplicatorSequence (300a,0107)

Returns
  reference to sequence element

## ◆ getApplicatorSequence() [2/2]

const DRTApplicatorSequenceInRTImageModule& DRTExposureSequence::Item::getApplicatorSequence | ( |  | ) | const
| inline

get ApplicatorSequence (300a,0107)

Returns
  const reference to sequence element

## ◆ getBeamLimitingDeviceAngle() [1/2]

OFCondition DRTExposureSequence::Item::getBeamLimitingDeviceAngle | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BeamLimitingDeviceAngle (300a,0120)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamLimitingDeviceAngle() [2/2]

OFCondition DRTExposureSequence::Item::getBeamLimitingDeviceAngle | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BeamLimitingDeviceAngle (300a,0120)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamLimitingDeviceSequence() [1/2]

DRTBeamLimitingDeviceSequenceInRTImageModule& DRTExposureSequence::Item::getBeamLimitingDeviceSequence | ( |  | ) |
| inline

get BeamLimitingDeviceSequence (300a,00b6)

Returns
  reference to sequence element

## ◆ getBeamLimitingDeviceSequence() [2/2]

const DRTBeamLimitingDeviceSequenceInRTImageModule& DRTExposureSequence::Item::getBeamLimitingDeviceSequence | ( |  | ) | const
| inline

get BeamLimitingDeviceSequence (300a,00b6)

Returns
  const reference to sequence element

## ◆ getBlockSequence() [1/2]

DRTBlockSequenceInRTImageModule& DRTExposureSequence::Item::getBlockSequence | ( |  | ) |
| inline

get BlockSequence (300a,00f4)

Returns
  reference to sequence element

## ◆ getBlockSequence() [2/2]

const DRTBlockSequenceInRTImageModule& DRTExposureSequence::Item::getBlockSequence | ( |  | ) | const
| inline

get BlockSequence (300a,00f4)

Returns
  const reference to sequence element

## ◆ getDiaphragmPosition() [1/3]

OFCondition DRTExposureSequence::Item::getDiaphragmPosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get DiaphragmPosition (3002,0034)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDiaphragmPosition() [2/3]

OFCondition DRTExposureSequence::Item::getDiaphragmPosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get DiaphragmPosition (3002,0034)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDiaphragmPosition() [3/3]

OFCondition DRTExposureSequence::Item::getDiaphragmPosition | ( | OFVector< Float64 > & | value | ) | const

get DiaphragmPosition (3002,0034)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getEnhancedRTBeamLimitingOpeningSequence() [1/2]

DRTEnhancedRTBeamLimitingOpeningSequence& DRTExposureSequence::Item::getEnhancedRTBeamLimitingOpeningSequence | ( |  | ) |
| inline

get EnhancedRTBeamLimitingOpeningSequence (3008,00a2)

Returns
  reference to sequence element

## ◆ getEnhancedRTBeamLimitingOpeningSequence() [2/2]

const DRTEnhancedRTBeamLimitingOpeningSequence& DRTExposureSequence::Item::getEnhancedRTBeamLimitingOpeningSequence | ( |  | ) | const
| inline

get EnhancedRTBeamLimitingOpeningSequence (3008,00a2)

Returns
  const reference to sequence element

## ◆ getExposureTime() [1/2]

OFCondition DRTExposureSequence::Item::getExposureTime | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ExposureTime (0018,1150)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getExposureTime() [2/2]

OFCondition DRTExposureSequence::Item::getExposureTime | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ExposureTime (0018,1150)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getExposureTimeInms()

OFCondition DRTExposureSequence::Item::getExposureTimeInms | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ExposureTimeInms (0018,9328)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryAngle() [1/2]

OFCondition DRTExposureSequence::Item::getGantryAngle | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get GantryAngle (300a,011e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryAngle() [2/2]

OFCondition DRTExposureSequence::Item::getGantryAngle | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get GantryAngle (300a,011e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryPitchAngle()

OFCondition DRTExposureSequence::Item::getGantryPitchAngle | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get GantryPitchAngle (300a,014a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGeneralAccessorySequence() [1/2]

DRTGeneralAccessorySequenceInRTImageModule& DRTExposureSequence::Item::getGeneralAccessorySequence | ( |  | ) |
| inline

get GeneralAccessorySequence (300a,0420)

Returns
  reference to sequence element

## ◆ getGeneralAccessorySequence() [2/2]

const DRTGeneralAccessorySequenceInRTImageModule& DRTExposureSequence::Item::getGeneralAccessorySequence | ( |  | ) | const
| inline

get GeneralAccessorySequence (300a,0420)

Returns
  const reference to sequence element

## ◆ getKVP() [1/2]

OFCondition DRTExposureSequence::Item::getKVP | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get KVP (0018,0060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getKVP() [2/2]

OFCondition DRTExposureSequence::Item::getKVP | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get KVP (0018,0060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMetersetExposure() [1/2]

OFCondition DRTExposureSequence::Item::getMetersetExposure | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get MetersetExposure (3002,0032)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMetersetExposure() [2/2]

OFCondition DRTExposureSequence::Item::getMetersetExposure | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get MetersetExposure (3002,0032)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBlocks() [1/2]

OFCondition DRTExposureSequence::Item::getNumberOfBlocks | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfBlocks (300a,00f0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBlocks() [2/2]

OFCondition DRTExposureSequence::Item::getNumberOfBlocks | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfBlocks (300a,00f0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSupportAngle() [1/2]

OFCondition DRTExposureSequence::Item::getPatientSupportAngle | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get PatientSupportAngle (300a,0122)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSupportAngle() [2/2]

OFCondition DRTExposureSequence::Item::getPatientSupportAngle | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PatientSupportAngle (300a,0122)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPrimaryFluenceModeSequence() [1/2]

DRTPrimaryFluenceModeSequence& DRTExposureSequence::Item::getPrimaryFluenceModeSequence | ( |  | ) |
| inline

get PrimaryFluenceModeSequence (3002,0050)

Returns
  reference to sequence element

## ◆ getPrimaryFluenceModeSequence() [2/2]

const DRTPrimaryFluenceModeSequence& DRTExposureSequence::Item::getPrimaryFluenceModeSequence | ( |  | ) | const
| inline

get PrimaryFluenceModeSequence (3002,0050)

Returns
  const reference to sequence element

## ◆ getReferencedFrameNumber() [1/2]

OFCondition DRTExposureSequence::Item::getReferencedFrameNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ReferencedFrameNumber (0008,1160)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedFrameNumber() [2/2]

OFCondition DRTExposureSequence::Item::getReferencedFrameNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ReferencedFrameNumber (0008,1160)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLateralPosition() [1/2]

OFCondition DRTExposureSequence::Item::getTableTopLateralPosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopLateralPosition (300a,012a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLateralPosition() [2/2]

OFCondition DRTExposureSequence::Item::getTableTopLateralPosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TableTopLateralPosition (300a,012a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLongitudinalPosition() [1/2]

OFCondition DRTExposureSequence::Item::getTableTopLongitudinalPosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopLongitudinalPosition (300a,0129)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLongitudinalPosition() [2/2]

OFCondition DRTExposureSequence::Item::getTableTopLongitudinalPosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TableTopLongitudinalPosition (300a,0129)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopPitchAngle()

OFCondition DRTExposureSequence::Item::getTableTopPitchAngle | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopPitchAngle (300a,0140)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopRollAngle()

OFCondition DRTExposureSequence::Item::getTableTopRollAngle | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopRollAngle (300a,0144)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopVerticalPosition() [1/2]

OFCondition DRTExposureSequence::Item::getTableTopVerticalPosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopVerticalPosition (300a,0128)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopVerticalPosition() [2/2]

OFCondition DRTExposureSequence::Item::getTableTopVerticalPosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TableTopVerticalPosition (300a,0128)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getXRayTubeCurrent() [1/2]

OFCondition DRTExposureSequence::Item::getXRayTubeCurrent | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get XRayTubeCurrent (0018,1151)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getXRayTubeCurrent() [2/2]

OFCondition DRTExposureSequence::Item::getXRayTubeCurrent | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get XRayTubeCurrent (0018,1151)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getXRayTubeCurrentInmA()

OFCondition DRTExposureSequence::Item::getXRayTubeCurrentInmA | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get XRayTubeCurrentInmA (0018,9330)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTExposureSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTExposureSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTExposureSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTExposureSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamLimitingDeviceAngle()

OFCondition DRTExposureSequence::Item::setBeamLimitingDeviceAngle | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BeamLimitingDeviceAngle (300a,0120)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDiaphragmPosition()

OFCondition DRTExposureSequence::Item::setDiaphragmPosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set DiaphragmPosition (3002,0034)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (4) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setExposureTime()

OFCondition DRTExposureSequence::Item::setExposureTime | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ExposureTime (0018,1150)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setExposureTimeInms()

OFCondition DRTExposureSequence::Item::setExposureTimeInms | ( | const Float64 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set ExposureTimeInms (0018,9328)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGantryAngle()

OFCondition DRTExposureSequence::Item::setGantryAngle | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set GantryAngle (300a,011e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGantryPitchAngle()

OFCondition DRTExposureSequence::Item::setGantryPitchAngle | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set GantryPitchAngle (300a,014a)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setKVP()

OFCondition DRTExposureSequence::Item::setKVP | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set KVP (0018,0060)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMetersetExposure()

OFCondition DRTExposureSequence::Item::setMetersetExposure | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set MetersetExposure (3002,0032)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfBlocks()

OFCondition DRTExposureSequence::Item::setNumberOfBlocks | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfBlocks (300a,00f0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSupportAngle()

OFCondition DRTExposureSequence::Item::setPatientSupportAngle | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PatientSupportAngle (300a,0122)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedFrameNumber()

OFCondition DRTExposureSequence::Item::setReferencedFrameNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ReferencedFrameNumber (0008,1160)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopLateralPosition()

OFCondition DRTExposureSequence::Item::setTableTopLateralPosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TableTopLateralPosition (300a,012a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopLongitudinalPosition()

OFCondition DRTExposureSequence::Item::setTableTopLongitudinalPosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TableTopLongitudinalPosition (300a,0129)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopPitchAngle()

OFCondition DRTExposureSequence::Item::setTableTopPitchAngle | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set TableTopPitchAngle (300a,0140)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopRollAngle()

OFCondition DRTExposureSequence::Item::setTableTopRollAngle | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set TableTopRollAngle (300a,0144)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopVerticalPosition()

OFCondition DRTExposureSequence::Item::setTableTopVerticalPosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TableTopVerticalPosition (300a,0128)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setXRayTubeCurrent()

OFCondition DRTExposureSequence::Item::setXRayTubeCurrent | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set XRayTubeCurrent (0018,1151)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setXRayTubeCurrentInmA()

OFCondition DRTExposureSequence::Item::setXRayTubeCurrentInmA | ( | const Float64 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set XRayTubeCurrentInmA (0018,9330)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTExposureSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtes.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1